geneprofile {maanova} | R Documentation

## Expression plot for selected genes

### Description

This function generate a plot with many lines. Each line represents a gene. The y-axis is the estimated expression level for the given factor from ANOVA model. The x-axis is for the levels of the give factor, e.g., different strains.

### Usage

    geneprofile(anovaobj, term, geneidx,
                col="blue", type="b", ylim, xlab, ylab, ...)

### Arguments

`anovaobj` | An object of class `maanova`. It should be the result from `fitmaanova`.
`term` | The terms to be plotted.
`geneidx` | The index of genes to be plotted.
`col` | The color to be used in plot.
`type` | The line type.
`ylim` | Y-axis limit.
`xlab` | X-axis label.
`ylab` | Y-axis label.
`...` | Other parameters to be passed to `plot`.

### Author(s)

Hao Wu

### Examples

    # load in data
    data(abf1)
    # fit the anova model
    ## Not run:
    fit.fix = fitmaanova(abf1,formula = ~Strain)
    # test Strain effect
    test.fix = matest(abf1, fit.fix, term="Strain",n.perm= 1000)
    # pick significant genes - pick the genes selected by Fs test
    idx <- volcano(test.fix)$idx.Fs
    geneprofile(fit.fix, "Strain", idx)
    ## End(Not run)

[Package maanova version 1.10.0 Index]